<template>
	<v-tabs bg-color="white" height="35" v-model="tab" class="px-8" stacked>
		<v-tab
			class="text-capitalize"
			slider-color="#D90E32"
			v-for="(item, index) in tabLinks"
			:key="index"
			:value="item.value"
		>
			{{ item.title }}
		</v-tab>
	</v-tabs>

	<v-divider
		class="border-opacity-100"
		color="#E4E4E4"
		:thickness="2"
	></v-divider>

	<v-window v-model="tab">
		<v-window-item value="basic setting">
			<v-container class="ma-auto pt-8 pb-12">
				<SettingsForms />
			</v-container>
		</v-window-item>

		<v-window-item value="backgrounds">
			<v-container class="ma-auto pt-8 pb-12">
				<BackgroundList />
			</v-container>
		</v-window-item>

		<v-window-item value="logos">
			<v-container class="ma-auto pt-8 pb-12">
				<LogosList />
			</v-container>
		</v-window-item>
	</v-window>
</template>

<script>
import SettingsForms from '@/components/SettingsForms.vue'
import BackgroundList from '@/components/BackgroundList.vue'
import LogosList from '@/components/LogosList.vue'

export default {
	name: 'SettingPage',
	components: {
		SettingsForms,
		BackgroundList,
		LogosList,
	},
	data() {
		return {
			tab: 'basic setting',
			tabLinks: [
				{ title: 'Basic setting', value: 'basic setting', exact: true },
				{ title: 'Backgrounds', value: 'backgrounds' },
				{ title: 'Logos', value: 'logos' },
			],
		}
	},

	watch: {
		tab(value) {
			this.$router.replace({
				path: this.$route.fullPath,
				query: { tab: value },
			})
		},
	},

	created() {
		this.tab = this.$route?.query?.tab || 'basic setting'
		this.$router.replace({
			path: this.$route.fullPath,
			query: { tab: this.$route?.query?.tab || 'setting' },
		})
	},
}
</script>

<style lang="scss">
.v-window {
	min-height: 749px;
	margin-bottom: 50px;
}

.v-btn--stacked.v-tab.v-btn {
	padding: 0;
	min-width: 0px;
	margin-right: 32px;
	font-size: 18px;
	color: rgba(41, 49, 72, 0.6);
	font-weight: 500;
	line-height: 24px;
	letter-spacing: 0.2px;
}
</style>
